@import "variables/font";
@import "variables/colors";

.products-offers-list {
  &__header {
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid $neutral-100;
    padding-bottom: 1rem;
    margin-bottom: 1rem;
    .title,
    .counter {
      font-family: $roboto-bold;
      font-size: $h6-font-size;
      margin: 0;
      padding: 0;
    }
  }
  &__content {
    margin: 1rem 0;
    .header-container {
      display: grid;
      grid-template-columns: 50% 25% 25%;
      justify-items: center;
      align-items: center;
      :first-child {
        justify-self: flex-start;
      }
      &__title {
        padding: 0;
        margin: 0 0 1rem 0;
        font-family: $roboto-bold;
        font-size: $h6-font-size;
      }
    }
    .cards-container {
      overflow-y: auto;
      height: 318px;
      ::ng-deep {
        .product-offer-list-item {
          margin: 0 0 1rem 0;
        }
      }
    }
    .loader-container {
      overflow-y: auto;
      height: 410px;
    }
  }
  &__footer {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    text-align: center;
    margin: 1rem 0;
    .add-or-remove {
      text-decoration: underline;
      color: $bluette-60;
      font-family: $roboto-bold;
      font-size: 14px;
      margin: 11px 0px;
      padding: 0;
    }
  }
}
